Page MenuHomePhabricator

Add missing icons for table row/col move
Closed, ResolvedPublic

Description

These were apparently not re-designed in the overhaul.

Event Timeline

Esanders created this task.Apr 6 2018, 12:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2018, 12:31 PM
Esanders triaged this task as High priority.Apr 6 2018, 12:31 PM
Volker_E assigned this task to RHo.Apr 6 2018, 5:48 PM
Volker_E moved this task from Backlog to Next-up on the OOUI board.Apr 9 2018, 7:11 PM

Change 425415 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Add 'tableMoveColumn*' & 'tableMoveRow*' icons

https://gerrit.wikimedia.org/r/425415

Change 425415 merged by jenkins-bot:
[oojs/ui@master] icons: Add 'tableMoveColumn*' & 'tableMoveRow*' icons

https://gerrit.wikimedia.org/r/425415

Change 425596 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Remove table move icons, upstreamed to OOUI

https://gerrit.wikimedia.org/r/425596

Change 425596 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Remove table move icons, upstreamed to OOUI

https://gerrit.wikimedia.org/r/425596

Change 425328 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (9c0b07868)

https://gerrit.wikimedia.org/r/425328

Jdforrester-WMF moved this task from Next-up to OOUI-0.26.3 on the OOUI board.Apr 11 2018, 7:35 PM
Jdforrester-WMF edited projects, added OOUI (OOUI-0.26.3); removed OOUI.
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF edited projects, added VisualEditor-Tables; removed Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 11 2018, 7:35 PM

Change 425328 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (9c0b07868)

https://gerrit.wikimedia.org/r/425328

Esanders reopened this task as Open.EditedApr 13 2018, 5:18 PM

The icons provided in https://gerrit.wikimedia.org/r/#/c/425415/ use white shapes to mask out parts canvases. OOUI icons are only supposed to contain black and transparent, otherwise they won't work against light colour backgrounds, and they won't get inverted properly.

Change 426125 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Remove white canvases from table move icons

https://gerrit.wikimedia.org/r/426125

Change 426125 merged by jenkins-bot:
[oojs/ui@master] Remove white canvases from table move icons

https://gerrit.wikimedia.org/r/426125

matmarex closed this task as Resolved.Jun 6 2018, 9:29 PM
matmarex removed a project: Patch-For-Review.